For AI agents: a documentation index is available at https://www.mongodb.com/docs/api/doc/agentengine/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any Atlas Agent Engine API changes, ever again

Subscribe to the Atlas Agent Engine API changelog to be up to date on recent changes.

RSS

Sep 18, 2026

main
1.0
Compare

API structure has changed

2 structure changes including:
2 Modifications
Modified 2
GET /api/v1/projects/{id}/memory/config
  • Response
  • 200 response Modified
    • application/json content type Modified
      • config property Modified
        • tasks property Added
PUT /api/v1/projects/{id}/memory/config
  • Body
  • application/json content type Modified
    • tasks property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • config property Modified
        • tasks property Added